package cc.fascinated.bat.common;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * @author Fascinated (fascinated7)
 */
@AllArgsConstructor
@NoArgsConstructor
@Getter
@Setter
public abstract class Profile {
    /**
     * The key of the profile.
     */
    private String profileKey;

    /**
     * Resets the profile
     */
    public abstract void reset();
}
